# ensure the record folder exists
mkdir -p /var/www/static/gait

v=-v en-gb -s 150
espeak "Tetra Gamma Gait Analysis   "  -v en-gb -s 150


sleep 1

espeak "Be ready for the security check."  -v en-gb -s 150
sleep 1

espeak "Please state your name:"  -v en-gb -s 150
sleep 1

espeak "Position yourself 2 to 3 meters away from me."  -v en-gb -s 150
sleep 2

espeak "Walk towards me in a straight line ."  -v en-gb -s 150
sleep 0.1

mpv sweep_up.wav 

basename=/var/www/static/gait/$(date +%Y-%m-%d-%H-%M-%S)
echo recording $basename.avi...
python scripts/recordwalk.py --output $basename.avi --frames 50 --framerate 4 --width 320 --height 240
# convert to mp4
ffmpeg -i $basename.avi -y $basename.mp4
# make a thumnail image
ffmpeg -i $basename.avi -vframes 1 -ss 0.5 -y $basename.jpg
# rm $basename.avi

mpv sweep_up.wav 

espeak "Position yourself 2 to 3 meters away from me."  -v en-gb -s 150
sleep 2

espeak "Walk towards me on a zig zag line.
"  -v en-gb -s150
sleep 0.1

mpv sweep_up.wav 

basename=/var/www/static/gait/$(date +%Y-%m-%d-%H-%M-%S)
echo recording $basename.avi...
python scripts/recordwalk.py --output $basename.avi --frames 50 --framerate 4 --width 320 --height 240
# convert to mp4
ffmpeg -i $basename.avi -y $basename.mp4
# make a thumnail image
ffmpeg -i $basename.avi -vframes 1 -ss 0.5 -y $basename.jpg
# rm $basename.avi

mpv sweep_up.wav 

espeak "Thank you for your cooperation"  -v en-gb -s175
sleep 1

mpv sweep_up.wav 

